# IRdMorphListEntry Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | AddMorph ([in] GUID guid,[in] RtFloat fVal,[out, retval] RtDWORD *index)
HRESULT | GetMorphGUID ([in] RtDWORD index,[out, retval] GUID *pGuid)
HRESULT | GetMorphIndex ([in] GUID guid,[out, retval] RtDWORD *pIndex)
HRESULT | GetMorphWeight ([in] RtDWORD index,[out, retval] RtFloat *pWeight)
HRESULT | SetMorphWeight ([in] RtDWORD index,[in] RtFloat fVal)
HRESULT | RemoveMorph ([in] RtDWORD index)
HRESULT | GetMorphCount ([out, retval] RtDWORD *pCount)

## Detailed Description

Data object holds combination of morphs identified by their GUID together with morph weights.
Used in RdMorphList in conjunction with RdWeightBlend to describe a single dot on blend panel, where all morph weights are stored.

## Member Function Documentation

HRESULT IRdMorphListEntry::AddMorph | ( | [in] GUID | guid,
|  | [in] RtFloat | fVal,
|  | [out, retval] RtDWORD * | index |
| ) |  |  |

Adds new morph to morph list.

Parameters:

  `[in]` | guid | Guid of morph.
  `[in]` | fVal | Weight of morph.

Returns:
  [out, retval] index Index of morph which has just been added.

HRESULT IRdMorphListEntry::GetMorphGUID | ( | [in] RtDWORD | index,
|  | [out, retval] GUID * | pGuid |
| ) |  |  |

Returns the morph id at specified index.

Parameters:

  `[in]` | index | Index of morph.

Returns:
  [out,retval] pGuid Guid of morph.

HRESULT IRdMorphListEntry::GetMorphIndex | ( | [in] GUID | guid,
|  | [out, retval] RtDWORD * | pIndex |
| ) |  |  |

Returns the index of morph with specified ID.
If id not found, -1 is returned.

Parameters:

  `[in]` | guid | Guid of morph.

Returns:
  [out,retval] pIndex Index of morph.

HRESULT IRdMorphListEntry::GetMorphWeight | ( | [in] RtDWORD | index,
|  | [out, retval] RtFloat * | pWeight |
| ) |  |  |

Returns the weight of morph with specified index.

Parameters:

  `[in]` | index | Index of morph.

Returns:
  [out, retval] pWeight Weight of morph.

HRESULT IRdMorphListEntry::SetMorphWeight | ( | [in] RtDWORD | index,
|  | [in] RtFloat | fVal |
| ) |  |  |

Sets the weight of morph with specified index.

Parameters:

  `[in]` | index | Index of morph.
  `[in]` | fVal | Weight of morph.

HRESULT IRdMorphListEntry::RemoveMorph | ( | [in] RtDWORD | index | ) |

Removes morph with specified index.

Parameters:

  `[in]` | index | Index of morph to remove.

HRESULT IRdMorphListEntry::GetMorphCount | ( | [out, retval] RtDWORD * | pCount | ) |

Count number of morphs.

Returns:
  [out, retval] pCount Number of morphs.